# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(AnyDBM_File.pm) perl(Benchmark.pm) perl(Bio/ASN1/EntrezGene.pm) perl(Bio/Factory/EMBOSS.pm) perl(Bio/Tools/Run/Alignment/Clustalw.pm) perl(Bio/Tools/Run/Alignment/TCoffee.pm) perl(Bio/Tools/Run/Analysis.pm) perl(Bio/Tools/Run/AnalysisFactory.pm) perl(Bio/Tools/Run/Primer3.pm) perl(CGI.pm) perl(CGI/Carp.pm) perl(Class/Inspector.pm) perl(Class/MakeMethods/Emulator/MethodMaker.pm) perl(Config.pm) perl(DBI.pm) perl(DB_File.pm) perl(Data/Stag.pm) perl(Dumpvalue.pm) perl(English.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(File/Spec/Functions.pm) perl(FileHandle.pm) perl(Graph/Directed.pm) perl(Gtk.pm) perl(HTML/HeadParser.pm) perl(HTTP/Request.pm) perl(HTTP/Response.pm) perl(IO/File.pm) perl(IO/Handle.pm) perl(IO/Pipe.pm) perl(IO/Socket.pm) perl(LWP.pm) perl(LWP/Simple.pm) perl(List/MoreUtils.pm) perl(List/Util.pm) perl(MIME/Base64.pm) perl(Memoize.pm) perl(Pod/Checker.pm) perl(Regexp/Common.pm) perl(SOAP/Transport/TCP.pm) perl(SVG/Graph/Data.pm) perl(SVG/Graph/Data/Node.pm) perl(SVG/Graph/Data/Tree.pm) perl(Scalar/Util.pm) perl(Symbol.pm) perl(Test.pm) perl(Text/Balanced.pm) perl(Text/ParseWords.pm) perl(Text/Wrap.pm) perl(Tie/Handle.pm) perl(Tie/RefHash.pm) perl(Time/HiRes.pm) perl(Time/Local.pm) perl(Tk.pm) perl(UNIVERSAL.pm) perl(URI.pm) perl(XML/DOM.pm) perl(XML/LibXML.pm) perl(XML/LibXML/Reader.pm) perl(XML/SAX/Base.pm) perl(overload.pm) perl(threads.pm) perl-devel perl-podlators
# END SourceDeps(oneline)

%add_findreq_skiplist /usr/bin/bp_blast2tree.pl
%add_findreq_skiplist /usr/share/perl5/Bio/DB/GFF/Adaptor/*.pm
%add_findreq_skiplist /usr/share/perl5/Bio/Root/*
%add_findreq_skiplist /usr/share/perl5/Bio/SearchDist.pm
%add_findreq_skiplist /usr/share/perl5/Bio/SeqIO/*
%add_findreq_skiplist /usr/share/perl5/Bio/Tools/*
BuildRequires: perl(Cache/FileCache.pm) perl(Term/ReadLine.pm)

Name:           perl-bioperl
Version:        1.6.1
Release:        alt1_16
Summary:        Perl tools for computational molecular biology

Group:          Development/Perl
License:        GPL+ or Artistic
URL:            http://www.bioperl.org/
Source0:        http://bioperl.org/DIST/BioPerl-%{version}.tar.bz2
Patch0:         bioperl-1.6.1-paths.patch

BuildArch:      noarch
BuildRequires:  perl(Ace.pm)
BuildRequires:  perl(Class/AutoClass.pm)
BuildRequires:  perl(Clone.pm)
BuildRequires:  perl(Convert/Binary/C.pm)
BuildRequires:  perl(Data/Stag/XMLWriter.pm)
BuildRequires:  perl(DBD/mysql.pm)
BuildRequires:  perl(DBD/Pg.pm)
BuildRequires:  perl(DBD/SQLite.pm)
BuildRequires:  perl(GD.pm)
BuildRequires:  perl(GD/SVG.pm)
BuildRequires:  perl(Graph.pm)
BuildRequires:  perl(HTML/Entities.pm)
BuildRequires:  perl(HTML/Parser.pm)
BuildRequires:  perl(HTTP/Request/Common.pm)
BuildRequires:  perl(IO/Stringy.pm)
BuildRequires:  perl(IO/String.pm)
BuildRequires:  perl(LWP/UserAgent.pm)
BuildRequires:  perl(PostScript/TextBlock.pm)
BuildRequires:  perl(Set/Scalar.pm)
BuildRequires:  perl(SOAP/Lite.pm)
BuildRequires:  perl(Spreadsheet/ParseExcel.pm)
BuildRequires:  perl(Storable.pm)
BuildRequires:  perl(SVG.pm)
BuildRequires:  perl(SVG/Graph.pm)
BuildRequires:  perl(Text/Shellwords.pm)
BuildRequires:  perl(URI/Escape.pm)
BuildRequires:  perl(XML/DOM/XPath.pm)
BuildRequires:  perl(XML/Parser.pm)
BuildRequires:  perl(XML/Parser/PerlSAX.pm)
BuildRequires:  perl(XML/SAX.pm)
BuildRequires:  perl(XML/SAX/Writer.pm)
BuildRequires:  perl(XML/Simple.pm)
BuildRequires:  perl(XML/Twig.pm)
BuildRequires:  perl(XML/Writer.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Array/Compare.pm)
BuildRequires:  perl(GraphViz.pm)
# disable the following BRs until they are packaged for Fedora
#BuildRequires:	perl(Math::Random)
#BuildRequires:	perl(Algorithm::Munkres)

# Filter unwanted dependency


# Packages perl-bioperl and perl-bioperl-run require each other.  To break
# this circular edependency (e.g., for bootstrapping), filter out all
# Bio::Tools::Run::* module requirements; they are either self-satisfied
# (and thus redundant) or they bring dependency on perl-bioperl-run.
%if %{defined perl_bootstrap}

%endif
Source44: import.info
%filter_from_requires /^^perl\\(Bio::Expression::FeatureSet\\)/d
%filter_from_requires /^^perl\\(Bio::Tools::Run::/d

%description
BioPerl is a toolkit of Perl modules useful in building bioinformatics
solutions in Perl. It is built in an object-oriented manner so that
many modules depend on each other to achieve a task.

%prep
%setup -q -n BioPerl-%{version}
%patch0 -p1 

# temporarily remove PhyloNetwork before compiling until upstream says
# they are ready for primetime and deps Math::Random and
# Algorithm::Munkres are also packaged
rm -r Bio/PhyloNetwork*
rm -r t/Tree/PhyloNetwork

# remove all execute bits from the doc stuff
find examples -type f -exec chmod -x {} ';'

%build
%{__perl} Build.PL --install_path bindoc=%_man1dir --installdirs vendor << EOF
n
a
n
EOF

./Build

# make sure the man page is UTF-8...


%install
#make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
perl Build pure_install --destdir=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -a \( -name .packlist \
  -o \( -name '*.bs' -a -empty \) \) -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
# remove errant execute bit from the .pm's
find $RPM_BUILD_ROOT -type f -name '*.pm' -exec chmod -x {} 2>/dev/null ';'
# correct all binaries in /usr/bin to be 0755
find $RPM_BUILD_ROOT/%{_bindir} -type f -name '*.pl' -exec chmod 0755 {} 2>/dev/null ';'

%check
%{?_with_check:./Build test || :}

%files
## don't distribute "doc" subdirectory,  doesn't contain docs
%doc examples models 
%doc AUTHORS BUGS Changes DEPRECATED INSTALL LICENSE README
%{_bindir}/*
%{perl_vendor_privlib}/*
%{_mandir}/man1/*.1*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 1.6.1-alt1_16
- update to new release by fcimport

* Thu Dec 13 2012 Igor Vlasenko <viy@altlinux.ru> 1.6.1-alt1_15
- new fc rel

* Wed May 30 2012 Igor Vlasenko <viy@altlinux.ru> 1.6.1-alt1_11
- fc import

